#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from fastapi import APIRouter, Depends
from common.security import valid_access_token
from .login import router as login_router
from . import gateway
from . import dataAnalysis
from . import resourceMonitoring
from . import OneShareProxyHandler
from . import jobs
from . import upload_file
from . import videoResource
from . import Knowledge
from . import emergencyPlans
router = APIRouter()

router.include_router(login_router)

router.include_router(gateway.router, prefix="/gateway") #, dependencies=[Depends(valid_access_token)]
router.include_router(dataAnalysis.router, prefix="/dataAnalysis")
router.include_router(resourceMonitoring.router, prefix="/resource")
router.include_router(jobs.router, prefix="/jobs")
router.include_router(OneShareProxyHandler.router, prefix="/oneShare")
router.include_router(upload_file.router, prefix="/file")
router.include_router(videoResource.router, prefix="/videoResource")
router.include_router(Knowledge.router, prefix="/knowledge")
router.include_router(emergencyPlans.router, prefix="/emergency_plan")